package com.cf.imes.module.executor.enums;

import com.cf.imes.framework.common.exception.ErrorCode;

/**
 * @author there
 * 生产执行服务错误码枚举 使用 1-003-000-000 段
 */
public interface ErrorCodeConstants {

    // ========== 生产单开料排单
    ErrorCode PLAN_NOT_EXISTS = new ErrorCode(1_001_107_000, "生产单开料排单不存在");

    ErrorCode PLAN_NOT_ALLOW_DELETE = new ErrorCode(1_001_107_001, "排单 开料中 已开料 不予许删除");

    ErrorCode PLAN_NOT_ALLOW_CANCEL = new ErrorCode(1_001_107_002, "排单 新单 不予许作废");

    // ========== 生产单商品 TODO 补充编号 ==========
    ErrorCode GOODS_NOT_EXISTS = new ErrorCode(1_001_108_000, "生产单商品不存在");

    // ========== 生产单 TODO 补充编号 ==========
    ErrorCode ORDER_NOT_EXISTS = new ErrorCode(1_001_109_000, "生产单不存在");

    // ========== 生产单 TODO 补充编号 ==========
    ErrorCode MODULE_NOT_EXISTS = new ErrorCode(1_001_110_000, "模块不存在");

    // ========== 生产单 TODO 补充编号 ==========
    ErrorCode MODULE_ITEM_NOT_EXISTS = new ErrorCode(1_001_111_000, "模块详情不存在");

    // ========== 生产单 TODO 补充编号 ==========
    ErrorCode ORDER_ITEM_NOT_EXISTS = new ErrorCode(1_001_112_000, "生产单详情不存在");

    // ========== 生产单 TODO 补充编号 ==========
    ErrorCode PLATE_NOT_EXISTS = new ErrorCode(1_001_113_000, "板材不存在");

    // ========== 生产单 TODO 补充编号 ==========
    ErrorCode ORDER_MODULE_EXTRA_NOT_EXISTS = new ErrorCode(1_001_114_000, "生产单模块不存在");

    // ========== 生产单 TODO 补充编号 ==========
    ErrorCode ORDER_PARTS_NOT_EXISTS = new ErrorCode(1_001_115_000, "生产单配件不存在");

    // ========== 生产单 TODO 补充编号 ==========
    ErrorCode PHONE_NOT_LAWFUL = new ErrorCode(1_001_116_000, "手机号不合法");
    ErrorCode CUSTOM_ORDER_EXISTS = new ErrorCode(1_001_117_000, "自定义生产单号存在");
    ErrorCode SALESMAN_ORDER_NOT_EXISTS = new ErrorCode(1_001_118_000, "业务员不存在");
    ErrorCode SPLITTER_ORDER_NOT_EXISTS = new ErrorCode(1_001_119_000, "拆单员不存在");

}
